//
//  AppDelegate.h
//  PeerFilter
//
//  Created by U Kong Wong on 7/21/12.
//  Copyright 2012 Eric U Kong Wong. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class KextControl;
@class ListManager;

@interface AppDelegate : NSObject <NSApplicationDelegate, NSStreamDelegate> 
{
    NSOperationQueue *opQueue;
}

@property (assign) IBOutlet NSWindow *window;
@property (assign) IBOutlet NSToolbarItem *filterStatus;
@property (assign) IBOutlet NSTextView *logWindow;
@property (assign) IBOutlet NSTableView *listView;
@property (assign) IBOutlet ListManager *listManager;
@property (strong) KextControl *kextControl;


- (void)appendLog:(NSString *)str;

- (IBAction)toggleFilter:(id)sender;
- (IBAction)addList:(id)sender;
- (IBAction)removeList:(id)sender;

- (BOOL)installHelperWithLabel:(NSString *)label error:(NSError **)error;
- (BOOL)launchHelperWithSocketPath:(NSString *)unixSocket;

@end
