//
//  KextControl.h
//  PeerFilter
//
//  Created by U Kong Wong on 7/22/12.
//  Copyright (c) 2012 Eric U Kong Wong. All rights reserved.
//

#import <Foundation/Foundation.h>

#include <sys/socket.h>
#include <sys/ioctl.h>
#include <sys/kern_control.h>
#include <sys/sys_domain.h>

#include "PeerFilterKernControl.h"
#include "PeerFilterIpRange.h"

@interface KextControl : NSObject
{
    int _sock;
    bool _connected;
    NSInputStream *_inputStream;
}

@property (readonly) BOOL active;
@property (readonly) BOOL connected;
@property (strong) NSInputStream *inputStream;

- (BOOL)connect;
- (void)disconnect;
- (int)start;
- (int)stop;
- (int)setListTo: (struct pf_iprange_list) list;
- (struct pf_stats)getStat;

@end
