/*
 *  KextControl.h
 *
 *  Copyright 2012 Eric U Kong Wong. All rights reserved.
 *
 *  This file is part of PeerFilter.
 *
 *  PeerFilter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  PeerFilter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with PeerFilter.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
#pragma once

#include <sys/socket.h>
#include <sys/ioctl.h>
#include <sys/kern_control.h>
#include <sys/sys_domain.h>

#include "PeerFilterKernControl.h"
#include "PeerFilterIpRange.h"

class KextControl {
private:
    int _sock;
    bool _connected;
public:
    KextControl();
    ~KextControl();
    
    int getStat(pf_stats &stats);
    int setRanges(pf_iprange_list const& r);
    void resetRanges();
    int start();
    int stop();
    bool connected() { return _connected; }
};
