/*
 *  IpRange.h
 *
 *  Copyright 2012 Eric U Kong Wong. All rights reserved.
 *
 *  This file is part of PeerFilter.
 *
 *  PeerFilter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  PeerFilter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with PeerFilter.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#ifdef KERNEL_EXT
#include <sys/systm.h> 
#else
#include <stdint.h>
#include <stddef.h>
#endif

#pragma pack(4)

/* Force this structure to be packed on a 4-byte boundary. This is to
 * guarantee that the compiler doesn't insert any padding between the
 * end and name
 */
struct pf_iprange {
    uint32_t start;
    uint32_t end;
    char* name;
};

struct pf_iprange_list {
    uint32_t len; // length of array
    struct pf_iprange* ranges;
};
    
#pragma pack()

struct pf_iprange const* pf_inranges(struct pf_iprange_list const* ranges, 
                                     uint32_t ip);

#ifdef __cplusplus
}
#endif
