/*
 *  PeerFilterKernControl.h
 *
 *  Copyright 2012 Eric U Kong Wong. All rights reserved.
 *
 *  This file is part of PeerFilter.
 *
 *  PeerFilter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  PeerFilter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with PeerFilter.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#pragma once

#define BUNDLE_ID "com.github.mtrbean.PeerFilter.PeerFilterKext"
#define KEXT_PATH "/tmp/PeerFilter.kext"

#define PF_CONTROL_STAT  1 
#define PF_CONTROL_RESET  2 
#define PF_CONTROL_SET_LIST  3
#define PF_CONTROL_START  4
#define PF_CONTROL_STOP  5
#define PF_CONTROL_ISACTIVE 6

enum {
    kPFiltDirIn = 0,
    kPFiltDirOut
};

struct pf_stats {
    unsigned long udp_packets[2];
    unsigned long tcp_packets[2];
    unsigned long icmp_packets[2];
    unsigned long other_packets[2];
};
